Description: infix-pathname-fix
Forwarded: not-needed
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 acl2 (7.2dfsg-3) unstable; urgency=medium
 .
   * build-dep against latest gcl
   * upstream pathname patch
Author: Camm Maguire <camm@debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2016-10-16

--- acl2-7.2dfsg.orig/books/interface/infix/infix.lisp
+++ acl2-7.2dfsg/books/interface/infix/infix.lisp
@@ -5076,10 +5076,10 @@ Allow redefinition (even of system funct
 (defun load-theory-or-init (dir)
   (let* ((initfile   (make-pathname :name (concatenate 'string *infix-mode* "-init")
 				    :type "lisp"
-				    :directory (pathname-directory dir)))
+				    :directory (when dir (pathname-directory dir))))
          (theoryfile (make-pathname :name (concatenate 'string *infix-mode* "-theory")
 				    :type "lisp"
-				    :directory (pathname-directory dir))))
+				    :directory (when dir (pathname-directory dir)))))
     ;; We assume that, if present, the -theory file loads the -init file.
     (cond ((probe-file theoryfile) (load-obj-or-lisp theoryfile) t)
           ((probe-file initfile)   (load-obj-or-lisp initfile) t)
@@ -5914,4 +5914,4 @@ works whether of not we are currently in
 is possible to nest math modes in latex after all. This feature is
 documented in section 3.4.1, Defining Commands, in the Latex manual.
 
-|#
\ No newline at end of file
+|#
